Loading...
Searching...
No Matches
CoroutineScheduler.hpp File Reference

Simple coroutine scheduler that runs periodic callbacks using SFML time utilities. More...

`#include <mutex>`
`#include <SFML/System/Clock.hpp>`
`#include <SFML/System/Time.hpp>`
`#include <EASTL/functional.h>`
`#include <EASTL/vector.h>`

Go to the source code of this file.

## Classes

class | mce::core::CoroutineScheduler
| Coroutine scheduler that manages periodic tasks. More...
struct | mce::core::CoroutineScheduler::Task
| Represents a single scheduled task. More...

## Detailed Description

Simple coroutine scheduler that runs periodic callbacks using SFML time utilities.